# Currents Audit Activity Events

This document lists the events and parameters for
various types of
Currents Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=gplus`.

## Comment Event


A comment was created, edited, or deleted.
Events of this type are returned with `type=comment_change`.

### Comment created

A comment was created.

| Event details ||
|---|---|
| Event name | `create_comment` |
| Parameters | |---|---| | `attachment_type` | `string` Type of attachment on a post or comment. Possible values: - `album` A media album was attached to a post. - `google_drive_object` A Google Drive object was attached to a post. - `link` A link was attached to a post or comment. - `media` Media was attached to a post or comment. - `poll` A poll was attached to a post. - `post` A post was reshared (attached to a post). | | `comment_resource_name` | `string` Unique identifier of the comment associated with the event. | | `post_permalink` | `string` Permanent hyperlink to the post associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | | `post_visibility` | `string` Visibility of the post associated with the event. Possible values: - `organization-private` A subset of users in the organization can access this post. - `organization-wide` All users in the organization can access this post. - `private` A subset of Google+ users can access this post. - `public` All Google+ users can access this post. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=create_comment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} added a comment to a {post_visibility} post` |

### Comment deleted

A comment was deleted.

| Event details ||
|---|---|
| Event name | `delete_comment` |
| Parameters | |---|---| | `comment_resource_name` | `string` Unique identifier of the comment associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | | `post_visibility` | `string` Visibility of the post associated with the event. Possible values: - `organization-private` A subset of users in the organization can access this post. - `organization-wide` All users in the organization can access this post. - `private` A subset of Google+ users can access this post. - `public` All Google+ users can access this post. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=delete_comment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} removed a comment from a {post_visibility} post` |

### Comment edited

A comment was edited.

| Event details ||
|---|---|
| Event name | `edit_comment` |
| Parameters | |---|---| | `attachment_type` | `string` Type of attachment on a post or comment. Possible values: - `album` A media album was attached to a post. - `google_drive_object` A Google Drive object was attached to a post. - `link` A link was attached to a post or comment. - `media` Media was attached to a post or comment. - `poll` A poll was attached to a post. - `post` A post was reshared (attached to a post). | | `comment_resource_name` | `string` Unique identifier of the comment associated with the event. | | `post_permalink` | `string` Permanent hyperlink to the post associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | | `post_visibility` | `string` Visibility of the post associated with the event. Possible values: - `organization-private` A subset of users in the organization can access this post. - `organization-wide` All users in the organization can access this post. - `private` A subset of Google+ users can access this post. - `public` All Google+ users can access this post. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=edit_comment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} edited a comment on a {post_visibility} post` |

## Like Event


A +1 was added or removed from a post or comment.
Events of this type are returned with `type=plusone_change`.

### Like added

A +1 was added to a post or comment.

| Event details ||
|---|---|
| Event name | `add_plusone` |
| Parameters | |---|---| | `comment_resource_name` | `string` Unique identifier of the comment associated with the event. | | `plusone_context` | `string` Where a +1 was added or removed from. Possible values: - `comment` A +1 was added or removed from a comment. - `post` A +1 was added or removed from a post. | | `post_permalink` | `string` Permanent hyperlink to the post associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | | `post_visibility` | `string` Visibility of the post associated with the event. Possible values: - `organization-private` A subset of users in the organization can access this post. - `organization-wide` All users in the organization can access this post. - `private` A subset of Google+ users can access this post. - `public` All Google+ users can access this post. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=add_plusone&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} added a like to a {post_visibility} {plusone_context}` |

### Like removed

A +1 was removed from a post or comment.

| Event details ||
|---|---|
| Event name | `remove_plusone` |
| Parameters | |---|---| | `comment_resource_name` | `string` Unique identifier of the comment associated with the event. | | `plusone_context` | `string` Where a +1 was added or removed from. Possible values: - `comment` A +1 was added or removed from a comment. - `post` A +1 was added or removed from a post. | | `post_permalink` | `string` Permanent hyperlink to the post associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | | `post_visibility` | `string` Visibility of the post associated with the event. Possible values: - `organization-private` A subset of users in the organization can access this post. - `organization-wide` All users in the organization can access this post. - `private` A subset of Google+ users can access this post. - `public` All Google+ users can access this post. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=remove_plusone&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} removed a like from a {post_visibility} {plusone_context}` |

## Poll Vote Event


A vote was added or removed from a poll.
Events of this type are returned with `type=poll_vote_change`.

### Poll vote added

A vote was added to a poll.

| Event details ||
|---|---|
| Event name | `add_poll_vote` |
| Parameters | |---|---| | `post_permalink` | `string` Permanent hyperlink to the post associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | | `post_visibility` | `string` Visibility of the post associated with the event. Possible values: - `organization-private` A subset of users in the organization can access this post. - `organization-wide` All users in the organization can access this post. - `private` A subset of Google+ users can access this post. - `public` All Google+ users can access this post. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=add_poll_vote&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} added a vote to a {post_visibility} poll` |

### Poll vote removed

A vote was removed from a poll.

| Event details ||
|---|---|
| Event name | `remove_poll_vote` |
| Parameters | |---|---| | `post_permalink` | `string` Permanent hyperlink to the post associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | | `post_visibility` | `string` Visibility of the post associated with the event. Possible values: - `organization-private` A subset of users in the organization can access this post. - `organization-wide` All users in the organization can access this post. - `private` A subset of Google+ users can access this post. - `public` All Google+ users can access this post. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=remove_poll_vote&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} removed a vote from a {post_visibility} poll` |

## Post Event


A post was created, edited, or deleted.
Events of this type are returned with `type=post_change`.

### Post created

A post was created.

| Event details ||
|---|---|
| Event name | `create_post` |
| Parameters | |---|---| | `attachment_type` | `string` Type of attachment on a post or comment. Possible values: - `album` A media album was attached to a post. - `google_drive_object` A Google Drive object was attached to a post. - `link` A link was attached to a post or comment. - `media` Media was attached to a post or comment. - `poll` A poll was attached to a post. - `post` A post was reshared (attached to a post). | | `post_permalink` | `string` Permanent hyperlink to the post associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | | `post_visibility` | `string` Visibility of the post associated with the event. Possible values: - `organization-private` A subset of users in the organization can access this post. - `organization-wide` All users in the organization can access this post. - `private` A subset of Google+ users can access this post. - `public` All Google+ users can access this post. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=create_post&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} created a {post_visibility} post` |

### Post deleted

A post was deleted.

| Event details ||
|---|---|
| Event name | `delete_post` |
| Parameters | |---|---| | `post_resource_name` | `string` Unique identifier of the post associated with the event. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=delete_post&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} deleted a post` |

### Post deleted by content admin

A post was deleted by a content admin.

| Event details ||
|---|---|
| Event name | `content_manager_delete_post` |
| Parameters | |---|---| | `post_author_name` | `string` Name of the author of the post associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=content_manager_delete_post&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} deleted {post_author_name}'s post` |

### Post edited

A post was edited.

| Event details ||
|---|---|
| Event name | `edit_post` |
| Parameters | |---|---| | `attachment_type` | `string` Type of attachment on a post or comment. Possible values: - `album` A media album was attached to a post. - `google_drive_object` A Google Drive object was attached to a post. - `link` A link was attached to a post or comment. - `media` Media was attached to a post or comment. - `poll` A poll was attached to a post. - `post` A post was reshared (attached to a post). | | `post_permalink` | `string` Permanent hyperlink to the post associated with the event. | | `post_resource_name` | `string` Unique identifier of the post associated with the event. | | `post_visibility` | `string` Visibility of the post associated with the event. Possible values: - `organization-private` A subset of users in the organization can access this post. - `organization-wide` All users in the organization can access this post. - `private` A subset of Google+ users can access this post. - `public` All Google+ users can access this post. | |
| Sample request | `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/gplus?eventName=edit_post&maxResults=10&access_token=YOUR_ACCESS_TOKEN` |
| Admin Console message format | `{actor} edited a {post_visibility} post` |